/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.notifications.domain;

import java.util.ArrayList;
import java.util.List;

/**
 * Enum with the names of the different services used in the notification service.
 *
 * @author Patrik Bergström
 */
public enum NotificationServiceName {
    ALFRESCO("alfresco"), EMAIL("email"), INVOICES("invoices"), USD_ISSUES("usdIssues"),
    /*SOCIAL_REQUEST("socialRequest"), */MED_CONTROL_CASES("medControlCases");

    private NotificationServiceName(String name) {
        this.name = name;
    }

    /**
     * Get all names as a list. This could be useful if one wants to iterate over all services.
     * @return all names as a list
     */
    public static List<String> allNamesAsList() {
        List<String> list = new ArrayList<String>();
        for (NotificationServiceName n : NotificationServiceName.values()) {
            list.add(n.getName());
        }
        return list;
    }

    public String getName() {
        return name;
    }

    private String name;

}
